﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("ContentLesson")]
public class ContentLessonEntity
{
    [ForeignKey(nameof(Lesson))]
    public int LessonId { get; set; }
    public LessonEntity Lesson { get; set; }

    [ForeignKey(nameof(Paragraph))]
    public int LessonPartId { get; set; }
    public ParagraphEntity Paragraph { get; set; }

    public ContentLessonEntity(){}
    public ContentLessonEntity(int lessonId, LessonEntity lesson, int lessonPartId, ParagraphEntity paragraph)
    {
        LessonId = lessonId;
        Lesson = lesson;
        LessonPartId = lessonPartId;
        Paragraph = paragraph;
    }
}