﻿using System.ComponentModel.DataAnnotations;

namespace Entities
{
    public class InquiryEntity
    {
        public int Id { get; }
        public string Title { get; set; }
        public string Description { get; set; }
        public bool IsUser { get; set; }
        public InquiryTableEntity Database { get; set; }
        public SolutionEntity Solution { get; set; }
        public InquiryEntity() { }

        public InquiryEntity(int id)
        {
            Id = id;
        }
        public InquiryEntity(int id, string title, string description, bool isUser, InquiryTableEntity database, SolutionEntity solution)
        {
            Id = id;
            Title = title;
            Description = description;
            IsUser = isUser;
            Database = database;
            Solution = solution;
        }

        public InquiryEntity(string title, string description, bool isUser, InquiryTableEntity database, SolutionEntity solution)
        {
            Id = 0;
            Title = title;
            Description = description;
            IsUser = isUser;
            Database = database;
            Solution = solution;
        }
    }
}
