using Entities;
using Microsoft.VisualBasic;

namespace TestEF;

public class TestLessonEntity
{
    private const int _id = 42;
    private const string _title = "Title";
    private const string _lastPublisher = "Last Publisher";
    private static DateOnly _lastEdit = new DateOnly();

    [Fact]
    public void TestDefaultConstructor()
    {
        LessonEntity lesson = new LessonEntity();
        Assert.Equal(0, lesson.Id);
        Assert.Null(lesson.Title);
        Assert.Null(lesson.LastPublisher);
        Assert.Null(lesson.LastEdit);
    }
    
    [Fact]
    public void TestConstructorWithOnlyId()
    {
        LessonEntity lesson = new LessonEntity(_id);
        Assert.Equal(_id, lesson.Id);
        Assert.Null(lesson.Title);
        Assert.Null(lesson.LastPublisher);
        Assert.Null(lesson.LastEdit);
    }
    
    [Fact]
    public void TestConstructorWithoutId()
    {
        LessonEntity lesson = new LessonEntity(_title,_lastPublisher,_lastEdit);
        Assert.Equal(0, lesson.Id);
        Assert.Equal(_title,lesson.Title);
        Assert.Equal(_lastPublisher,lesson.LastPublisher);
        Assert.Equal(_lastEdit,lesson.LastEdit);
    }
    
    [Fact]
    public void TestConstructorWithAllAttributes()
    {
        LessonEntity lesson = new LessonEntity(_id,_title,_lastPublisher,_lastEdit);
        Assert.Equal(_id, lesson.Id);
        Assert.Equal(_title,lesson.Title);
        Assert.Equal(_lastPublisher,lesson.LastPublisher);
        Assert.Equal(_lastEdit,lesson.LastEdit);
    }
}